Bug 246335 - [NEW PORT] x11/jgmenu: Simple X11 menu
Summary: [NEW PORT] x11/jgmenu: Simple X11 menu
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://jgmenu.github.io/
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-09 16:52 UTC by Lewis Cook
Modified: 2020-06-02 08:48 UTC (History)
1 user (show)

See Also:


Attachments
jgmenu-4.2.0.diff (4.89 KB, patch)
2020-05-09 16:52 UTC, Lewis Cook
no flags Details | Diff
jgmenu-4.2.0.log (33.60 KB, text/plain)
2020-05-09 16:53 UTC, Lewis Cook
no flags Details
jgmenu-4.2.1.diff (4.88 KB, patch)
2020-05-28 14:45 UTC, Lewis Cook
no flags Details | Diff
jgmenu-4.2.1.log (34.28 KB, text/plain)
2020-05-28 14:45 UTC, Lewis Cook
no flags Details
jgmenu-4.2.1.diff (4.76 KB, patch)
2020-06-01 13:50 UTC, Lewis Cook
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2020-05-09 16:52:57 UTC
Created attachment 214317 [details]
jgmenu-4.2.0.diff

Simple, independent and contemporary-looking X11 menu,
designed for scripting, ricing and tweaking.

WWW: https://jgmenu.github.io/

Tested:
 * portlint: OK (looks fine).
 * testport: OK (poudriere: 3.3.4).
Comment 1 Lewis Cook freebsd_triage 2020-05-09 16:53:21 UTC
Created attachment 214318 [details]
jgmenu-4.2.0.log

* Poudriere testport log.
Comment 2 Lewis Cook freebsd_triage 2020-05-28 14:45:25 UTC
Created attachment 214973 [details]
jgmenu-4.2.1.diff

* Update to 4.2.1.
Comment 3 Lewis Cook freebsd_triage 2020-05-28 14:45:46 UTC
Created attachment 214974 [details]
jgmenu-4.2.1.log

* Poudriere testport log.
Comment 4 Hiroki Tagato freebsd_committer 2020-05-31 05:09:31 UTC
Hi, thanks for the proposal for the new port.

One comment.

Can you shorten the descriptions of LX and PMENU options?
It is a bit long and cut off in the middle when doing "make config".
Comment 5 Lewis Cook freebsd_triage 2020-06-01 13:50:43 UTC
Created attachment 215134 [details]
jgmenu-4.2.1.diff

* Address comment #4.
Comment 6 commit-hook freebsd_committer 2020-06-02 08:44:38 UTC
A commit references this bug:

Author: tagattie
Date: Tue Jun  2 08:44:32 UTC 2020
New revision: 537528
URL: https://svnweb.freebsd.org/changeset/ports/537528

Log:
  Simple, independent and contemporary-looking X11 menu, designed for
  scripting, ricing and tweaking.

  WWW: https://jgmenu.github.io/

  PR:		246335
  Submitted by:	Lewis Cook <vulcan@wired.sh>
  Approved by:	ehaupt (mentor)

Changes:
  head/x11/Makefile
  head/x11/jgmenu/
  head/x11/jgmenu/Makefile
  head/x11/jgmenu/distinfo
  head/x11/jgmenu/pkg-descr
  head/x11/jgmenu/pkg-plist
Comment 7 Hiroki Tagato freebsd_committer 2020-06-02 08:48:01 UTC
Committed, thanks!